Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IAnnotationHoverExtension

All Known Implementing Classes:
  LineChangeHover

public interface IAnnotationHoverExtension

Extension interface for `IAnnotationHover` for

- providing its own information control creator
- providing the range of lines for which the hover for a given line is valid
- providing whether the information control can interact with the mouse cursor

Since:
  3.0
See Also:
  `IInformationControlCreator`, `IAnnotationHover`

Method Summary
`boolean` | `canHandleMouseCursor()` Returns whether the provided information control can interact with the mouse cursor.
`IInformationControlCreator` | `getHoverControlCreator()` Returns the hover control creator of this annotation hover.
`Object` | `getHoverInfo(ISourceViewer sourceViewer, ILineRange lineRange, int visibleNumberOfLines)` Returns the object which should be presented in the a hover popup window.
`ILineRange` | `getHoverLineRange(ISourceViewer viewer, int lineNumber)` Returns the range of lines that include the given line number for which the same hover information is valid.

Method Detail

### getHoverControlCreator

    public IInformationControlCreator getHoverControlCreator()

  Returns the hover control creator of this annotation hover.

  Returns:
    the hover control creator

### canHandleMouseCursor

    public boolean canHandleMouseCursor()

  Returns whether the provided information control can interact with the mouse cursor. I.e. the hover must implement custom information control management.

  Returns:
    `true` if the mouse cursor can be handled

### getHoverInfo

    public Object getHoverInfo(ISourceViewer sourceViewer,
                               ILineRange lineRange,
                               int visibleNumberOfLines)

  Returns the object which should be presented in the a hover popup window. The information is requested based on the specified line range.

  Parameters:
    `sourceViewer` - the source viewer this hover is registered with
    `lineRange` - the line range for which information is requested
    `visibleNumberOfLines` - the number of visible lines
  Returns:
    the requested information or `null` if no such information exists

### getHoverLineRange

    public ILineRange getHoverLineRange(ISourceViewer viewer,
                                        int lineNumber)

  Returns the range of lines that include the given line number for which the same hover information is valid.

  Parameters:
    `viewer` - the viewer which the hover is queried for
    `lineNumber` - the line number of the line for which a hover is displayed for
  Returns:
    the computed line range

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.